Package org.apache.tomcat.util.descriptor.web

# Class SecurityRoleRef

java.lang.Object
org.apache.tomcat.util.descriptor.web.SecurityRoleRef

All Implemented Interfaces:
  `Serializable`

public class SecurityRoleRef extends Object implements Serializable

Representation of a security role reference for a web application, as represented in a `<security-role-ref>` element in the deployment descriptor.

Since:
  Tomcat 5.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecurityRoleRef()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLink()`
  `String`
  `getName()`
  `void`
  `setLink(String link)`
  `void`
  `setName(String name)`
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SecurityRoleRef

    public SecurityRoleRef()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getLink

    public String getLink()

  - ### setLink

    public void setLink(String link)

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`